package com.samelement.iot_notification.device;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

public class Device {
    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("sn")
    @Expose
    private String sn;
    @SerializedName("mac")
    @Expose
    private String mac;
    @SerializedName("model")
    @Expose
    private String model;
    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("sammy")
    @Expose
    private String sammy;
    @SerializedName("localip")
    @Expose
    private String localip;
    @SerializedName("fw_name")
    @Expose
    private String fwName;
    @SerializedName("fw_version")
    @Expose
    private String fwVersion;
    @SerializedName("reset")
    @Expose
    private boolean reset;
    @SerializedName("restart")
    @Expose
    private boolean restart;
    @SerializedName("stats")
    @Expose
    private Object stats;
    @SerializedName("state")
    @Expose
    private String state;
    @SerializedName("desc")
    @Expose
    private Object desc;
    @SerializedName("map_lng")
    @Expose
    private Object mapLng;
    @SerializedName("map_lat")
    @Expose
    private Object mapLat;
    @SerializedName("logo")
    @Expose
    private String logo;
    @SerializedName("nodes")
    @Expose
    private List<Node> nodes = new ArrayList<>();
    @SerializedName("options")
    @Expose
    private Options options;
    @SerializedName("born")
    @Expose
    private String born;
    @SerializedName("admin_id")
    @Expose
    private String adminId;
    @SerializedName("developer_id")
    @Expose
    private String developerId;
    @SerializedName("is_logged")
    @Expose
    private boolean isLogged;
    @SerializedName("server_time")
    @Expose
    private boolean serverTime;
    @SerializedName("status")
    @Expose
    private boolean status;
    @SerializedName("widget")
    @Expose
    private Object widget;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSammy() {
        return sammy;
    }

    public void setSammy(String sammy) {
        this.sammy = sammy;
    }

    public String getLocalip() {
        return localip;
    }

    public void setLocalip(String localip) {
        this.localip = localip;
    }

    public String getFwName() {
        return fwName;
    }

    public void setFwName(String fwName) {
        this.fwName = fwName;
    }

    public String getFwVersion() {
        return fwVersion;
    }

    public void setFwVersion(String fwVersion) {
        this.fwVersion = fwVersion;
    }

    public boolean isReset() {
        return reset;
    }

    public void setReset(boolean reset) {
        this.reset = reset;
    }

    public boolean isRestart() {
        return restart;
    }

    public void setRestart(boolean restart) {
        this.restart = restart;
    }

    public Object getStats() {
        return stats;
    }

    public void setStats(Object stats) {
        this.stats = stats;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Object getDesc() {
        return desc;
    }

    public void setDesc(Object desc) {
        this.desc = desc;
    }

    public Object getMapLng() {
        return mapLng;
    }

    public void setMapLng(Object mapLng) {
        this.mapLng = mapLng;
    }

    public Object getMapLat() {
        return mapLat;
    }

    public void setMapLat(Object mapLat) {
        this.mapLat = mapLat;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public List<Node> getNodes() {
        return nodes;
    }

    public void setNodes(List<Node> nodes) {
        this.nodes = nodes;
    }

    public Options getOptions() {
        return options;
    }

    public void setOptions(Options options) {
        this.options = options;
    }

    public String getBorn() {
        return born;
    }

    public void setBorn(String born) {
        this.born = born;
    }

    public String getAdminId() {
        return adminId;
    }

    public void setAdminId(String adminId) {
        this.adminId = adminId;
    }

    public String getDeveloperId() {
        return developerId;
    }

    public void setDeveloperId(String developerId) {
        this.developerId = developerId;
    }

    public boolean isIsLogged() {
        return isLogged;
    }

    public void setIsLogged(boolean isLogged) {
        this.isLogged = isLogged;
    }

    public boolean isServerTime() {
        return serverTime;
    }

    public void setServerTime(boolean serverTime) {
        this.serverTime = serverTime;
    }

    public boolean isStatus() {
        return status;
    }

    public void setStatus(boolean status) {
        this.status = status;
    }

    public Object getWidget() {
        return widget;
    }

    public void setWidget(Object widget) {
        this.widget = widget;
    }
}
